# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNSBookmarkImporter Class Reference

A class for importing NS bookmarks. More...

`#include <kbookmarkimporter_ns.h>`

Inheritance diagram for KNSBookmarkImporter:

[legend]
Collaboration diagram for KNSBookmarkImporter:

[legend]
List of all members.

## Signals

void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()

## Public Member Functions

| KNSBookmarkImporter (const QString &fileName)
void | parseNSBookmarks ()
void | parseNSBookmarks (bool utf8)

## Static Public Member Functions

static QString | netscapeBookmarksFile (bool forSaving=false)
static QString | mozillaBookmarksFile (bool forSaving=false)

## Protected Attributes

QString | m_fileName

## Detailed Description

A class for importing NS bookmarks.

Deprecated:

Definition at line 37 of file kbookmarkimporter_ns.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter_ns.h
- kbookmarkimporter_ns.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:03 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003